Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05965 DIP/Input Major Always Jun 16, 2015, 04:53 Nov 12, 2017, 16:05
Tester Fortuna View Status Public Platform MAME (Official Binary)
Assigned To Robbbert Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver cps1.cpp
Version 0.162 Fixed in Version Build 64-bit
Summary 05965: sfzch, sfach, szbch, wofch: Broken player 2 buttons (sfzch and clones) and missing option switch (sfz and clones and wofch)
Description Player 2 in this games has broken controls, only jump and not stop, in wofch has the same problem, no respond.

Tenchi wo kurau and Street fighter zero (and clones) has a option menu not added (include difficult, change buttons and sound test)

Both games has options menu:

Tenshi wo kurau II: http://www.culturaneogeo.com/imagenes/cps/reviews/tenchi.htm
Street fighter zero: http://www.culturaneogeo.com/imagenes/cps/reviews/streetzero.htm (has a training mode)


Please close if this not is a bug or wrong
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems sfzch, sfach, szbch, wofch
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.11960
Robbbert
Developer
Aug 16, 2015, 13:52
Found player 2 inputs in misfitmame 0.122 source. Added, please test.
Haven't found the setup menu or training mode as yet.
User avatar
No.14418
Osso
Developer
Nov 7, 2017, 11:37
Setup menu is accessible by pressing Pause (default as F2) and Start2 simultaneously.
User avatar
No.14425
Fortuna
Tester
Nov 10, 2017, 00:46
Tenchi wo kurau is correct, the options appears , but not save the config, like a console game!
Street fighter Zero (and clones), has options like difficulty and button config

Maybe not have save functions, but is not problem
User avatar
No.14429
Robbbert
Developer
Nov 12, 2017, 16:05
Since no inputs are missing i will close it. Can't remember what version the fix was applied for.